summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>2016-08-06 09:09:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-07 18:55:32 +0700
commitf6a85bac63151ea8f21358689861abd2ce03f50f (patch)
treec70587d3d71a444a62678f344cc2d834d47754a7
parentf949b649a5fadbbf5035908c6e3ffe23dba8b6fc (diff)
downloadslackbuilds-f6a85bac63151ea8f21358689861abd2ce03f50f.tar.gz
slackbuilds-f6a85bac63151ea8f21358689861abd2ce03f50f.tar.xz
development/komodo-edit: Added (Multi-Language Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/komodo-edit/README5
-rw-r--r--development/komodo-edit/doinst.sh6
-rw-r--r--development/komodo-edit/komodo-edit.SlackBuild79
-rw-r--r--development/komodo-edit/komodo-edit.info10
-rw-r--r--development/komodo-edit/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/development/komodo-edit/README b/development/komodo-edit/README
new file mode 100644
index 0000000000..44c79ddbb2
--- /dev/null
+++ b/development/komodo-edit/README
@@ -0,0 +1,5 @@
+Komodo Edit - Multi-Language Editor for Professional Developers
+
+Komodo is the professional Editor for major web languages, including
+Python, PHP, Ruby, Perl, HTML, CSS and JavaScript. You'll enjoy
+developing faster with Komodo Editor's complete set of tools.
diff --git a/development/komodo-edit/doinst.sh b/development/komodo-edit/doinst.sh
new file mode 100644
index 0000000000..4fa581ea29
--- /dev/null
+++ b/development/komodo-edit/doinst.sh
@@ -0,0 +1,6 @@
+( cd usr/bin; ln -sf /opt/komodo-edit/bin/komodo komodo-edit )
+( cd usr/share/applications; ln -sf /opt/komodo-edit/share/desktop/komodo-edit-*.desktop komodo-edit.desktop )
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/komodo-edit/komodo-edit.SlackBuild b/development/komodo-edit/komodo-edit.SlackBuild
new file mode 100644
index 0000000000..e54b2a1eb7
--- /dev/null
+++ b/development/komodo-edit/komodo-edit.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for Komodo Edit
+
+# Copyright 2014-2016 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=komodo-edit
+VERSION=${VERSION:-10.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ ARCH=$( uname -m )
+ case "$ARCH" in
+ i?86) PKG_ARCH=x86 ;;
+ x86_64) PKG_ARCH=x86_64 ;;
+ *) echo "Architecture not supported"; exit 0;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/opt/$PRGNAM
+cd $TMP
+rm -rf $PRGNAM-$VERSION-*
+tar xvf $CWD/Komodo-Edit-$VERSION-*-linux-$PKG_ARCH.tar.gz
+cd Komodo-Edit-$VERSION-*-linux-$PKG_ARCH
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sh install.sh -s -I $PKG/opt/$PRGNAM --dest-dir /opt/$PRGNAM
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+sed -i -e "s#$PKG##" $PKG/opt/$PRGNAM/share/desktop/$PRGNAM-*.desktop
+chmod 644 $PKG/opt/$PRGNAM/share/desktop/$PRGNAM-*.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/komodo-edit/komodo-edit.info b/development/komodo-edit/komodo-edit.info
new file mode 100644
index 0000000000..5832504c5a
--- /dev/null
+++ b/development/komodo-edit/komodo-edit.info
@@ -0,0 +1,10 @@
+PRGNAM="komodo-edit"
+VERSION="10.0.1"
+HOMEPAGE="http://komodoide.com/komodo-edit/"
+DOWNLOAD="http://downloads.activestate.com/Komodo/releases/10.0.1/Komodo-Edit-10.0.1-17276-linux-x86.tar.gz"
+MD5SUM="f1ef4262a5bd5263cdfac7c5d7e702a1"
+DOWNLOAD_x86_64="http://downloads.activestate.com/Komodo/releases/10.0.1/Komodo-Edit-10.0.1-17276-linux-x86_64.tar.gz"
+MD5SUM_x86_64="196c88182777c1f75de6e1e2ece78a44"
+REQUIRES=""
+MAINTAINER="Giuseppe Di Terlizzi"
+EMAIL="giuseppe.diterlizzi@gmail.com"
diff --git a/development/komodo-edit/slack-desc b/development/komodo-edit/slack-desc
new file mode 100644
index 0000000000..bad2209cc3
--- /dev/null
+++ b/development/komodo-edit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+komodo-edit: komodo-edit (Multi-Language Editor for Professional Developers)
+komodo-edit:
+komodo-edit: Komodo is the professional Editor for major web languages, including
+komodo-edit: Python, PHP, Ruby, Perl, HTML, CSS and JavaScript. You'll enjoy
+komodo-edit: developing faster with Komodo Editor's complete set of tools.
+komodo-edit:
+komodo-edit:
+komodo-edit:
+komodo-edit:
+komodo-edit: http://www.activestate.com/komodo-edit/
+komodo-edit: